Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451517 - pulseaudio cannot play after resume
Summary: pulseaudio cannot play after resume
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-15 09:10 UTC by Peter Janakiev
Modified: 2009-07-14 15:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:50:39 UTC


Attachments (Terms of Use)

Description Peter Janakiev 2008-06-15 09:10:03 UTC
Description of problem:
After resuming from hibernate the audio daemon cannot play anything

Version-Release number of selected component (if applicable):
pulseaudio-0.9.10-1.fc9.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Hibernate the laptop and then resume
2. try to play a song in rhythmbox or some other app
3. nothing plays, the pulse audio controller indicated that the application is
connected but the stream is not playable
  
Actual results:
nothing plays

Expected results:
normal playback

Additional info:
messages indicates:
Jun 15 12:03:06 localhost pulseaudio[4624]: sink-input.c: Failed to create sink
input: too many inputs per sink.

killing pulseaudio and starting it again resumes normal operation 
Pulse audio is executed without SUID (as indicated in the logs)

Comment 1 Lennart Poettering 2008-06-17 17:28:26 UTC
The audio device doesn't come back properly after suspend. PA follows all the
right procedures to restart the audio device after resume. Apparently your
driver is buggy. Reassigning to kernel. And the kernel people probably want to
know which driver you use. So please provide it.

Comment 2 Peter Janakiev 2008-06-18 22:49:31 UTC
the driver is snd_hda_intel 
the hardware is 00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD
Audio Controller (rev 03)



Comment 3 Miroslav Lichvar 2008-12-23 13:12:19 UTC
I'm seeing a similar problem on EeePC 701. After suspend/resume it doesn't play until I hit mute and unmute in a mixer. Looks like the mixer settings aren't restored properly. It's also the snd_hda_intel driver.

Comment 4 James Ettle 2009-05-25 11:48:17 UTC
Seen here too on Clevo M720R. Playing an audio stream and suspending to RAM/resuming *often* (but not always) results in just clicking noises on resume (presumably because of a mixer being muted, see bug 472543) but it also sometimes turns back on spontaneously.

Comment 5 Bug Zapper 2009-06-10 01:37:58 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-07-14 15:50:39 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.